var index = 
{
  "titles": {
    "title": "Arm Education Kit",
    "libname": "FDRM-K64F Board Edition",
    "libtype": "Arm-based Digital Signal Processing Education Kit"
  },
  "headers": [
    {
      "name": "Lecture Presentation",
      "column": "modules"
    },
    {
      "name": "Lab Exercises",
      "column": "exercises"
    }
  ],
  "modules": [
    [
      {
        "column": "modules",
        "name": "Module 1: Discrete-Time Signals and Systems - Convolution and Correlation",
        "link": "contents/Module_1/Lecture.pptx"
      },
      {
        "column": "exercises",
        "name": "Lab Manual",
        "link": "contents/Module_1/Lab.docx"
      },
	    {
        "column": "exercises",
        "name": "Lab Exercise",
        "link": "contents/Module_1/Code/LAB_1.zip"
      },
      {
        "column": "exercises",
        "name": "Code Solution",
        "link": "contents/Module_1/Code/LAB_1_solution.zip"
      },
      {
        "column": "exercises",
        "name": "Lab Solution",
        "link": "contents/Module_1/Lab_solution.docx"
      }
    ],
    [
      {
        "column": "modules",
        "name": "Module 2: Sampling, Reconstruction and Aliasing - Review of Complex Exponentials and Fourier Analysis",
        "link": "contents/Module_2/Lecture.pptx"
      }
    ],
    [
      {
        "column": "modules",
        "name": "Module 3: Sampling, Reconstruction and Aliasing - Time and Frequency Domains",
        "link": "contents/Module_3/Lecture.pptx"
      },
      {
        "column": "exercises",
        "name": "Lab Manual",
        "link": "contents/Module_3/Lab.docx"
      },
	    {
        "column": "exercises",
        "name": "Lab Exercise",
        "link": "contents/Module_3/Code/LAB_2.zip"
      },
      {
        "column": "exercises",
        "name": "Lab Solution",
        "link": "contents/Module_3/Lab_solution.docx"
      }

    ],
    [
      {
        "column": "modules",
        "name": "Module 4: Time and Frequency Domains - z-transform",
        //"link": "contents/Module_4/Z-Transform_lec.pptx"
      }
    ],
    [
      {
        "column": "modules",
        "name": "Module 5: FIR Filters - Moving Average Filters",
        //"link": "contents/Module_5/FIR1_lec.pptx"
      }
    ],
    [
	  {
        "column": "modules",
        "name": "Module 6: FIR Filters - Window Method of Design",
        //"link": "contents/Module_6/FIR2_lec.pptx"
      },
      {
        "column": "exercises",
        "name": "Lab Manual",
        //"link": "contents/Module_6/Lab/DSP_Lab_Manual.docx"
      },
	  {
        "column": "exercises",
        "name": "Lab Exercise",
        //"link": "contents/Module_6/Lab/Lab_Files.zip"
      },
      {
        "column": "exercises",
        "name": "Lab Solution",
        //"link": "contents/Module_6/Lab/Solution.zip"
      }

    ],
    [
      {
        "column": "modules",
        "name": "Module 7: IIR Filters - Impulse Invariant and Bilinear Transform Methods of Design",
        //"link": "contents/Module_7/IIR1_lec.pptx"
      }
    ],
    [
      {
        "column": "modules",
        "name": "Module 8: IIR Filters - Simple IIR Filter Design Example",
        //"link": "contents/Module_8/IIR2_lec.pptx"
      },
      {
        "column": "exercises",
        "name": "Lab Manual",
        //"link": "contents/Module_8/Lab/DSP_Lab_Manual.docx"
      },
      {
        "column": "exercises",
        "name": "Lab Exercise",
        //"link": "contents/Module_8/Lab/Lab_Files.zip"
      },
      {
        "column": "exercises",
        "name": "Lab Solution",
        //"link": "contents/Module_8/Lab/Solution.zip"
      },
      {
        "column": "exercises",
        "name": "Code Solution",
       // "link": "contents/Module_1/Code/LAB_1_solution.zip"
      }
    ],
    [
      {
        "column": "modules",
        "name": "Module 9: Fast Fourier Transform - Review of Fourier Analysis",
        //"link": "contents/Module_9/FFT1_lec.pptx"
      }
    ],
    [
	  {
        "column": "modules",
        "name": "Module 10: Fast Fourier Transform - Derivation of Radix-2 FFT",
        //"link": "contents/Module_10/FFT2_lec.pptx"
      },
      {
        "column": "exercises",
        "name": "Lab Manual",
        //"link": "contents/Module_10/Lab/DSP_Lab_Manual.docx"
      },
      {
        "column": "exercises",
        "name": "Lab Exercise",
        //"link": "contents/Module_8/Lab/Lab_Files.zip"
      },
      {
        "column": "exercises",
        "name": "Lab Solution",
        //"link": "contents/Module_8/Lab/Solution.zip"
      },
      {
        "column": "exercises",
        "name": "Code Solution",
       // "link": "contents/Module_1/Code/LAB_1_solution.zip"
      }
    ],
    [
      {
        "column": "modules",
        "name": "Module 11: Adaptive Filters - Prediction and System Identification",
        //"link": "contents/Module_11/AdaptiveFilters1_lec.pptx"
      }
    ],
    [
      {
        "column": "modules",
        "name": "Module 12: Adaptive Filters - Equalisation and Noise Cancellation",
        //"link": "contents/Module_12/AdaptiveFilters2_lec.pptx"
      }
    ],
    [
      {
        "column": "modules",
        "name": "Module 13: Adaptive Filters - Adaptive FIR Filter and the LMS Algorithm",
        //"link": "contents/Module_13/AdaptiveFilters3_lec.pptx"
      },
      {
        "column": "exercises",
        "name": "Lab Manual",
        //"link": "contents/Module_13/Lab/DSP_Lab_Manual.docx"
      },
      {
        "column": "exercises",
        "name": "Lab Exercise",
        //"link": "contents/Module_13/Lab/Lab_File.zip"
      },
      {
        "column": "exercises",
        "name": "Lab Solution",
        //"link": "contents/Module_13/Lab/Solution.zip"
      }
    ],
    [
      {
        "column": "modules",
        "name": "Appendix",
        //"link": "contents/Module_13/AdaptiveFilters3_lec.pptx"
      },
      {
        "column": "exercises",
        "name": "Connections Diagram",
        //
      },
      {
        "column": "exercises",
        "name": "References",
        //
      },
      {
        "column": "exercises",
        "name": "Before Starting with the DSP LIB",
        //
      }
    ]
  ]
}